/*
******************************************************************************

   Edemo extension API header file

   Authors:	1999 Marcus Sundberg	[marcus@ggi-project.org]
  
   This code is placed in the public domain and may be used freely for any
   purpose.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#ifndef _GGI_EDEMO_H
#define _GGI_EDEMO_H

#include <ggi/ggi.h>

__BEGIN_DECLS

/* Extension management
 */
int edemoInit(void);
int edemoExit(void);

int edemoAttach(ggi_visual_t vis);
int edemoDetach(ggi_visual_t vis);

/* API functions
 */

int edemoFunction1(ggi_visual_t vis, int arg1);
int edemoFunction2(ggi_visual_t vis, int arg1, int arg2);

__END_DECLS

#endif /* _GGI_EDEMO_H */
